SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
sf::Ftp::Response Class Reference

FTP response. More...

`#include <SFML/Network/Ftp.hpp>`

Inheritance diagram for sf::Ftp::Response:

## Public Types
enum class | Status { RestartMarkerReply = 110 , ServiceReadySoon = 120 , DataConnectionAlreadyOpened = 125 , OpeningDataConnection = 150 , Ok = 200 , PointlessCommand = 202 , SystemStatus = 211 , DirectoryStatus = 212 , FileStatus = 213 , HelpMessage = 214 , SystemType = 215 , ServiceReady = 220 , ClosingConnection = 221 , DataConnectionOpened = 225 , ClosingDataConnection = 226 , EnteringPassiveMode = 227 , LoggedIn = 230 , FileActionOk = 250 , DirectoryOk = 257 , NeedPassword = 331 , NeedAccountToLogIn = 332 , NeedInformation = 350 , ServiceUnavailable = 421 , DataConnectionUnavailable = 425 , TransferAborted = 426 , FileActionAborted = 450 , LocalError = 451 , InsufficientStorageSpace = 452 , CommandUnknown = 500 , ParametersUnknown = 501 , CommandNotImplemented = 502 , BadCommandSequence = 503 , ParameterNotImplemented = 504 , NotLoggedIn = 530 , NeedAccountToStore = 532 , FileUnavailable = 550 , PageTypeUnknown = 551 , NotEnoughMemory = 552 , FilenameNotAllowed = 553 , InvalidResponse = 1000 , ConnectionFailed = 1001 , ConnectionClosed = 1002 , InvalidFile = 1003 }
| Status codes possibly returned by a FTP response. More...

## Public Member Functions
| Response (Status code=Status::InvalidResponse, std::string message="")
| Default constructor.
bool | isOk () const
| Check if the status code means a success.
Status | getStatus () const
| Get the status code of the response.
const std::string & | getMessage () const
| Get the full message contained in the response.

## Detailed Description

FTP response.

Definition at line 67 of file Ftp.hpp.

## Member Enumeration Documentation

## ◆ Status

enum class sf::Ftp::Response::Status
| strong

Status codes possibly returned by a FTP response.

Enumerator
RestartMarkerReply | Restart marker reply.
ServiceReadySoon | Service ready in N minutes.
DataConnectionAlreadyOpened | Data connection already opened, transfer starting.
OpeningDataConnection | File status ok, about to open data connection.
Ok | Command ok.
PointlessCommand | Command not implemented.
SystemStatus | System status, or system help reply.
DirectoryStatus | Directory status.
FileStatus | File status.
HelpMessage | Help message.
SystemType | NAME system type, where NAME is an official system name from the list in the Assigned Numbers document.
ServiceReady | Service ready for new user.
ClosingConnection | Service closing control connection.
DataConnectionOpened | Data connection open, no transfer in progress.
ClosingDataConnection | Closing data connection, requested file action successful.
EnteringPassiveMode | Entering passive mode.
LoggedIn | User logged in, proceed. Logged out if appropriate.
FileActionOk | Requested file action ok.
DirectoryOk | PATHNAME created.
NeedPassword | User name ok, need password.
NeedAccountToLogIn | Need account for login.
NeedInformation | Requested file action pending further information.
ServiceUnavailable | Service not available, closing control connection.
DataConnectionUnavailable | Can't open data connection.
TransferAborted | Connection closed, transfer aborted.
FileActionAborted | Requested file action not taken.
LocalError | Requested action aborted, local error in processing.
InsufficientStorageSpace | Requested action not taken; insufficient storage space in system, file unavailable.
CommandUnknown | Syntax error, command unrecognized.
ParametersUnknown | Syntax error in parameters or arguments.
CommandNotImplemented | Command not implemented.
BadCommandSequence | Bad sequence of commands.
ParameterNotImplemented | Command not implemented for that parameter.
NotLoggedIn | Not logged in.
NeedAccountToStore | Need account for storing files.
FileUnavailable | Requested action not taken, file unavailable.
PageTypeUnknown | Requested action aborted, page type unknown.
NotEnoughMemory | Requested file action aborted, exceeded storage allocation.
FilenameNotAllowed | Requested action not taken, file name not allowed.
InvalidResponse | Not part of the FTP standard, generated by SFML when a received response cannot be parsed.
ConnectionFailed | Not part of the FTP standard, generated by SFML when the low-level socket connection with the server fails.
ConnectionClosed | Not part of the FTP standard, generated by SFML when the low-level socket connection is unexpectedly closed.
InvalidFile | Not part of the FTP standard, generated by SFML when a local file cannot be read or written.

Definition at line 74 of file Ftp.hpp.

## Constructor & Destructor Documentation

## ◆ Response()

sf::Ftp::Response::Response | ( | Status | code = Status::InvalidResponse,
|  | std::string | message = "" )
| explicit

Default constructor.

This constructor is used by the FTP client to build the response.

Parameters

  code | Response status code
  message | Response message

## Member Function Documentation

## ◆ getMessage()

const std::string & sf::Ftp::Response::getMessage | ( |  | ) | const
| nodiscard

Get the full message contained in the response.

Returns
  The response message

## ◆ getStatus()

Status sf::Ftp::Response::getStatus | ( |  | ) | const
| nodiscard

Get the status code of the response.

Returns
  Status code

## ◆ isOk()

bool sf::Ftp::Response::isOk | ( |  | ) | const
| nodiscard

Check if the status code means a success.

This function is defined for convenience, it is equivalent to testing if the status code is < 400.

Returns
  `true` if the status is a success, `false` if it is a failure

The documentation for this class was generated from the following file:

- Ftp.hpp